within SHM.Shared.Components.Compartments;
model NeurotransmitterAmount "postsynaptic neurotransmitter amount"
  parameter Real initialConcentration = 0 "Initial neurotransmitter concentration";
  SHM.Shared.Connectors.NeurotransmitterConcentration con "neurotransmitter concentration connector" annotation(Placement(visible = true, transformation(origin = {0, 100}, extent = {{-10, -10}, {10, 10}}, rotation = 0), iconTransformation(origin = {0, 100}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
equation
  con.rate = der(con.concentration);
initial equation
  con.concentration = initialConcentration;
annotation(Documentation(info="<html>
  <p>Models concentration of a neurotransmitter substance at a synapse.</p>
</html>"), Diagram(coordinateSystem(extent = {{-100, -100}, {100, 100}}, preserveAspectRatio = true, initialScale = 0.1, grid = {2, 2})), Icon(coordinateSystem(extent = {{-100, -100}, {100, 100}}, preserveAspectRatio = true, initialScale = 0.1, grid = {2, 2}), graphics = {Ellipse(origin = {-59.3888, 62.2555}, fillColor = {170, 85, 255}, fillPattern = FillPattern.Solid, extent = {{-10, 10}, {10, -10}}, endAngle = 360), Ellipse(origin = {36.4609, 61.8619}, fillColor = {170, 85, 255}, fillPattern = FillPattern.Solid, extent = {{-10, 10}, {10, -10}}, endAngle = 360), Ellipse(origin = {-13.9863, 65.4398}, fillColor = {170, 85, 255}, fillPattern = FillPattern.Solid, extent = {{-10, 10}, {10, -10}}, endAngle = 360), Ellipse(origin = {-29.7286, 30.0194}, fillColor = {170, 85, 255}, fillPattern = FillPattern.Solid, extent = {{-10, 10}, {10, -10}}, endAngle = 360), Ellipse(origin = {13.5629, 25.726}, fillColor = {170, 85, 255}, fillPattern = FillPattern.Solid, extent = {{-10, 10}, {10, -10}}, endAngle = 360), Ellipse(origin = {20.6828, -22.9681}, fillColor = {170, 85, 255}, fillPattern = FillPattern.Solid, extent = {{-10, 10}, {10, -10}}, endAngle = 360), Ellipse(origin = {-47.2958, -23.6837}, fillColor = {170, 85, 255}, fillPattern = FillPattern.Solid, extent = {{-10, 10}, {10, -10}}, endAngle = 360), Ellipse(origin = {-17.2421, -10.4458}, fillColor = {170, 85, 255}, fillPattern = FillPattern.Solid, extent = {{-10, 10}, {10, -10}}, endAngle = 360), Ellipse(origin = {53.9207, -17.2794}, fillColor = {170, 85, 255}, fillPattern = FillPattern.Solid, extent = {{-10, 10}, {10, -10}}, endAngle = 360), Ellipse(origin = {-58.8164, 10.5918}, fillColor = {170, 85, 255}, fillPattern = FillPattern.Solid, extent = {{-10, 10}, {10, -10}}, endAngle = 360), Ellipse(origin = {59.6094, 27.7653}, fillColor = {170, 85, 255}, fillPattern = FillPattern.Solid, extent = {{-10, 10}, {10, -10}}, endAngle = 360), Text(origin = {-5.36676, -70.1233}, extent = {{-94.1, 22.5377}, {104.833, -29.3356}}, textString = "%name"), Ellipse(origin = {7.33453, 15.3846}, extent = {{-106.261, 83.0054}, {92.1288, -66.9052}}, endAngle = 360)}));
end NeurotransmitterAmount;

